### Constructor

# Clutter ClipNode new

#### Declaration [src]

    ClutterPaintNode*
    clutter_clip_node_new (
      void
    )

#### Description [src]

Creates a new `ClutterPaintNode` that will clip its child nodes to the 2D regions added to it.

#### Return value

Type: `ClutterPaintNode`

The newly created `ClutterPaintNode`. Use `clutter_paint_node_unref()` when done.

The caller of the function takes ownership of the data, and is responsible for freeing it.